<?php
namespace App\Controllers;

class ImageManager extends BaseController
{
    public function list()
    {
        $dir = FCPATH . 'uploads/';
        $files = array_diff(scandir($dir), array('.', '..'));
        return $this->response->setJSON(array_values($files));
    }

    public function upload()
    {
        $file = $this->request->getFile('image');
        if ($file && $file->isValid() && !$file->hasMoved()) {
            $newName = $file->getRandomName();
            $file->move(FCPATH . 'uploads/', $newName);
            return $this->response->setJSON(['success' => true, 'filename' => $newName]);
        }
        return $this->response->setJSON(['success' => false]);
    }
}
