<?php

namespace App\Controllers;
use CodeIgniter\Controller;

class TestBuilder extends Controller
{
    public function index()
    {
        // Attempt to connect to the 'builder' database group
        $db = \Config\Database::connect('builder');

        try {
            $result = $db->query('SHOW TABLES')->getResult();

            echo "<h2>✅ Connection to 'builder' database successful!</h2>";
            echo "<h4>Tables:</h4><pre>";
            foreach ($result as $row) {
                print_r($row);
            }
            echo "</pre>";
        } catch (\Exception $e) {
            echo "<h2>❌ Connection to 'builder' database failed:</h2>";
            echo "<pre>" . $e->getMessage() . "</pre>";
        }
    }
}
