<?php
$baseDir = __DIR__ . '/app-creator';

// Define directories to create
$directories = [
    $baseDir,
    "$baseDir/modules",
    "$baseDir/controllers",
    "$baseDir/models",
    "$baseDir/views",
    "$baseDir/assets"
];

// Create directories
foreach ($directories as $dir) {
    if (!file_exists($dir)) {
        mkdir($dir, 0755, true);
        echo "Created: $dir\n";
    } else {
        echo "Exists: $dir\n";
    }
}

echo "✅ Directory structure setup complete!\n";
?>
