<?php namespace App\Controllers;

use CodeIgniter\Controller;

class EmailTest extends Controller
{
    public function index()
    {
        // Load the email service
        $email = \Config\Services::email();

        // Set email parameters
        $email->setFrom('info@winslowsolutions.com', 'Winslow Solutions');
        // Replace with your test email address
        $email->setTo('david@winslowsolutions.com');  
        $email->setSubject('Test Email from CodeIgniter');
        $email->setMessage('This is a test email to verify your SMTP settings.');

        // Attempt to send the email and output the result
        if ($email->send()) {
            echo "Email successfully sent.";
        } else {
            // If sending fails, display debug info
            $data = $email->printDebugger(['headers']);
            echo "Failed to send email. Debug info:";
            print_r($data);
        }
    }
}
